'''
Copyright (c) 2020, NVIDIA CORPORATION. All rights reserved.

NVIDIA CORPORATION and its licensors retain all intellectual property
and proprietary rights in and to this software, related documentation
and any modifications thereto. Any use, reproduction, disclosure or
distribution of this software and related documentation without an express
license agreement from NVIDIA CORPORATION is strictly prohibited.
'''
from isaac import Application, Codelet
import argparse

if __name__ == '__main__':
    # Parse arguments
    parser = argparse.ArgumentParser(description="Kaya navigation app")
    parser.add_argument(
        "--map_json",
        help="The path to the map json to load",
        default="apps/kaya_navsim/navigation/virtual_test_warehouse_1.json")
    parser.add_argument(
        "--robot_json",
        help="The path to the robot json to load",
        default="apps/kaya_navsim/robot/kaya.json")
    parser.add_argument(
        "--more",
        help="A comma separated list of additional json files to load")
    args, _ = parser.parse_known_args()

    # Create and start the app
    more_jsons = args.map_json + "," + args.robot_json
    if args.more:
        more_jsons += "," + args.more
    app_path = "apps/kaya_navsim/kaya_navigate.app.json"
    app = Application(app_filename=app_path, more_jsons=more_jsons)

    app.run()
